#ifndef COMMON_CK
#define COMMON_CK
//
//		Y. Okamoto, 2009.10
//

namespace cmmn {

	extern int NCat;
	extern double * RatS, * RatN;
	extern double * mu, * sgm, ** ki;
	extern double med_mu, med_sgm, * med_ki, ** d_ki;
	extern double mean_mu, mean_sgm;


	double sqr( double x );

	double Cum_NormalKC( double z );

	double ProbS( int j, double mu, double sigma, double * ki );

	double ProbN( int j, double * ki );

	double calc_a( double mu1, double sgm1, double * ki0, double mu0, double sgm0 );

	double calc_a1( double mu, double sgm, double * kitmp, double * ki0 );

	void qSort( double * d, int Lb, int Ub );	//	quick sort


	double calc_QR( double * d, int N );

	double est_distri( double x, double * d, int N, double sd );

	void calc_CI( double * d, int NSimu, double & CIL, double & Med, double & CIR );

}

#endif
